const { run } = require("./base");
const fs = require("fs");
const path = require("path")
function initTable(){
    // 创建下载列表
    /**
     * id 
     * title 剧集标题
     * url 剧集链接
     * save 保存地址
     * downDate 添加下载日期 时间戳
     * isOk 是否下载完成 0 未完成 1 完成
     */
    let sql = `create table download (
        id INT PRIMARY KEY NOT NULL autoincrement,
        title VARCHAR(255) not null,
        url varchar(255) not null,
        save varcahr(255) not null,
        downDate INTEGER not null,
        isOk INTEGER not null
    )`
    run(sql)
}

function init(){
    let isexists = fs.existsSync(path.join(__dirname,"/db/database.db"))
    if(!isexists){
        initTable()
    }

}
module.exports = {
    init
}